### Function

# Gimp gradient_segment_range_move

since: 2.2

#### Declaration [src]

    gdouble
    gimp_gradient_segment_range_move (
      const gchar* name,
      gint start_segment,
      gint end_segment,
      gdouble delta,
      gboolean control_compress
    )

#### Description [src]

Move the position of an entire segment range by a delta.

This function moves the position of an entire segment range by a delta. The actual delta (which is returned) will be limited by the control points of the neighboring segments.

Available since: 2.2

#### Parameters

`name`

  Type: `const gchar*`

  The gradient name.

  The data is owned by the caller of the function.
  The value is a NUL terminated UTF-8 string.

`start_segment`

  Type: `gint`

  The index of the first segment to operate on.

`end_segment`

  Type: `gint`

  The index of the last segment to operate on. If negative, the selection will extend to the end of the string.

`delta`

  Type: `gdouble`

  The delta to move the segment range.

`control_compress`

  Type: `gboolean`

  Whether or not to compress the neighboring segments.

#### Return value

Type: `gdouble`

The final delta by which the range moved.